## yorick-soy 1.4.0

=== Makefile ===
Y_MAKEDIR=/usr/lib/yorick/2.2
Y_EXE=/usr/lib/yorick/2.2/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/lib/yorick/2.2
Y_EXE_SITE=/usr/share/yorick/2.2

# ----------------------------------------------------- optimization flags

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=soy
PKG_I=soy.i

OBJS=soy.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler or loader (rare) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

# -------------------------------------------------------- end of Makefile


# for the binary package production (add full path to lib*.a below):
PKG_DEPLIBS_STATIC=-lm 
PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

# packages or devel_pkgs:
PKG_DEST_URL = packages

package:
	$(MAKE)
	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)

distbin:
	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc:
	make clean; rm -rf binaries
	cd ..; tar --exclude binaries --exclude .svn --exclude CVS --exclude *.spec -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-soy (1.4.0-4) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * Remove patch git-backport that is missing from debian/patches/series.
  * Refer to specific version of license GPL-2+.
  * d/rules: ignore failures in dh_auto_clean

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2025 20:01:43 +0100

yorick-soy (1.4.0-3) unstable; urgency=low

  * Fortify (don't rely on yorick to provide right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:55:13 +0200

yorick-soy (1.4.0-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Patch Makefile instead of running yorick -batch make.i
  * Simplfiy debian/rules with short dh notation

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 15:56:04 +0200

yorick-soy (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 16 Apr 2012 09:04:34 +0200

yorick-soy (1.2.01-3) unstable; urgency=low

  * Move to source format "3.0 (quilt)" in order to drop depencedy on
    dpatch (thanks to Jari Aalto).
  * Move to section science.
  * Check against standards version 3.9.3.
  * Add check target.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 05 Mar 2012 11:59:10 +0100

yorick-soy (1.2.01-2) unstable; urgency=low

  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-soy.packinfo
     * added debian/yorick-soy.keywords

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 13:04:29 +0100

yorick-soy (1.2.01-1) unstable; urgency=low

  * Initial Release. Closes: #366706

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon,  1 May 2006 07:34:49 +0200

=== debian/control ===
Source: yorick-soy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               yorick-yutils,
               yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-soy
Vcs-Git: https://salsa.debian.org/science-team/yorick-soy.git
Homepage: http://homepage.mac.com/rflicker/soy.htm

Package: yorick-soy
Architecture: any
Depends: yorick,
         yorick-yutils,
         ${shlibs:Depends},
         ${misc:Depends}
Description: sparse matrix operations for the Yorick language
 Sparse Operations with Yorick is a plugin for Yorick (an interpreted computer
 language specialized for numerical and scientific problems) that allows
 performing efficient operations on sparse matrices. This software is also
 available for the commercial language IDL.
 .
 Features:
  * Utilizes a sparse row-wise format optimized for fast matrix-vector
    multiplication
  * Structure implementation for user-friendly interface on the Yorick/IDL
    scripting level
  * Explicit memory handling on the scripting level
  * As of v1.2 portable to 64-bit computing platforms
  * Offers basic matrix algebra and manipulation in single or double precision
  * Offers scripts for solving linear systems by e.g. conjugate gradients
  * Offers saving of sparse structures on a common FITS format or an internal
    binary format. Using the FITS format makes the saved matrices portable
    between the IDL/Yorick distributions.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_clean:
	-$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean

=== debian/watch ===
version=4
https://github.com/frigaut/yorick-soy/tags .*/tarball/(\d[\d\.]+)
